import IntroConstructor from './src/index.vue'
import type { ComponentPublicInstance } from 'vue'
import { createVNode, render } from 'vue'

let introObj = [] as any[];

const intro = (options: any) => {
  const container = document.createElement('div');

  const onClosed = () => {
    render(null, container);
    container.remove()
    introObj = []
  }

  const vnode = createVNode(
    IntroConstructor,
    { ...options, onClosed }
  )

  render(vnode, container);

  const appendTo = document.body;
  appendTo.appendChild(container.firstElementChild as Node)
  const instance = vnode.component;
  const vm = instance?.proxy as ComponentPublicInstance<{ close: () => void }>;
  return vm;
}

const introGenerate = (options: any) => {
  if (introObj.length === 0) {
    const _intro = intro(options)
    introObj.push(_intro)
  }
  return introObj[0]
}

export default introGenerate

